/* ***************************************************************** */
/* * OMEGAMON XE for DB2 on z/OS v3.1.0                            * */ 
/* ***************************************************************** */
/* * PK25395 - zIIP support to Thread Detail              06/08/06 * */
/* * Remove DP 200 Seed Data not needed in or changed in DP 220.   * */
/* * @01   D5300 SPE support                     01/05/05   smw    * */
/* * @02   D5310 BlueLens support                04/05/05   smw    * */
/* ***************************************************************** */

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CF_Connections_Warning";
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CF_Structure_Use_Critical";
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CF_Structure_Use_Warning";
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CMD_Connection_Failed";
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CMD_Group_BP_READ_Hit_Warn";
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CMD_Lock_Wait_Time_Critical";
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CMD_Thrd_Wait_Time_Critical";
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Group_BP_Read_Hit_Critical";
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Group_BP_Read_Hit_Warning";
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Lock_Waiter_Time_Critical";
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Lock_Waiter_Time_Warning";
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Thread_Wait_Time_Critical";
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Thread_Wait_Time_Warning";

DELETE FROM O4SRV.SITDB
       WHERE RULENAME="KDP.VDB2LKCONF";
DELETE FROM O4SRV.SITDB
       WHERE RULENAME="KDP.VDPSTATUS";
DELETE FROM O4SRV.SITDB
       WHERE RULENAME="KDP.VDPTHDET";
DELETE FROM O4SRV.SITDB
       WHERE RULENAME="KDP.VGBPSTAT";
DELETE FROM O4SRV.SITDB
       WHERE RULENAME="KDP.VKDP_CF";
DELETE FROM O4SRV.SITDB
       WHERE RULENAME="KDP.VTHDSTAT";
DELETE FROM O4SRV.SITDB
       WHERE RULENAME="KDP.VKDP_CF";
DELETE FROM O4SRV.SITDB
       WHERE RULENAME="UADVISOR_KDP_VDB2LKCONF_________";
DELETE FROM O4SRV.SITDB
       WHERE RULENAME="UADVISOR_KDP_VDPSTATUS__________";
DELETE FROM O4SRV.SITDB
       WHERE RULENAME="UADVISOR_KDP_VDPTHDET___________";
DELETE FROM O4SRV.SITDB
       WHERE RULENAME="UADVISOR_KDP_VGBPSTAT___________";
DELETE FROM O4SRV.SITDB
       WHERE RULENAME="UADVISOR_KDP_VKDP_CF____________";
DELETE FROM O4SRV.SITDB
       WHERE RULENAME="UADVISOR_KDP_VTHDSTAT___________";

DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME="UADVISOR_KDP_VDB2LKCONF";
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME="UADVISOR_KDP_VDPSTATUS";
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME="UADVISOR_KDP_VDPTHDET";
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME="UADVISOR_KDP_VGBPSTAT";
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME="UADVISOR_KDP_VKDP_CF";
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME="UADVISOR_KDP_VTHDSTAT";


/* ***************************************************************** */
/* * @01 Remove dup KDP situations.  The remove ones are replaced  * */
/* * by KD5 situations                                             * */
/* ***************************************************************** */
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_ARCM_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_CTHD_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_DWAT_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_ETIM_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_GETP_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_IDBC_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_IDBT_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_INDB_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_RCPU_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_RIO_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_TCPU_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_TRCV_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_TSND_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_WCLM_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_WDLK_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_WGLK_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_WLGQ_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_WSPS_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_WSRV_Warning';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_ARCM_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_CTHD_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_DWAT_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_ETIM_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_GETP_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_IDBC_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_IDBT_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_INDB_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_RCPU_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_RIO_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_TCPU_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_TRCV_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_TSND_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_WCLM_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_WDLK_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_WGLK_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_WLGQ_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_WSPS_Critical';
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = 'KDP_WSRV_Critical';



/* ***************************************************************** */
/* * Insert situations into object access list and distribute to   * */
/* * the *HUB node.                                                * */
/* ***************************************************************** */

/* ** RECORD 1 ** */

INSERT INTO O4SRV.TOBJACCL
  (HUB ,
   LSTDATE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJNAME
  )
VALUES
  ("Y" ,                                                      /* HUB */
   "1020403235959000" ,                                   /* LSTDATE */
   "BUILD" ,                                            /* LSTUSRPRF */
   "*HUB" ,                                                 /* NODEL */
   "5140" ,                                              /* OBJCLASS */
   "DB2_CF_Connections_Warning"                           /* OBJNAME */
  );

/* ** RECORD 2 ** */

INSERT INTO O4SRV.TOBJACCL
  (HUB ,
   LSTDATE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJNAME
  )
VALUES
  ("Y" ,                                                      /* HUB */
   "1020403235959000" ,                                   /* LSTDATE */
   "BUILD" ,                                            /* LSTUSRPRF */
   "*HUB" ,                                                 /* NODEL */
   "5140" ,                                              /* OBJCLASS */
   "DB2_CF_Structure_Use_Critical"                        /* OBJNAME */
  );

/* ** RECORD 3 ** */

INSERT INTO O4SRV.TOBJACCL
  (HUB ,
   LSTDATE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJNAME
  )
VALUES
  ("Y" ,                                                      /* HUB */
   "1020403235959000" ,                                   /* LSTDATE */
   "BUILD" ,                                            /* LSTUSRPRF */
   "*HUB" ,                                                 /* NODEL */
   "5140" ,                                              /* OBJCLASS */
   "DB2_CF_Structure_Use_Warning"                         /* OBJNAME */
  );

/* ** RECORD 4 ** */

INSERT INTO O4SRV.TOBJACCL
  (HUB ,
   LSTDATE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJNAME
  )
VALUES
  ("Y" ,                                                      /* HUB */
   "1020403235959000" ,                                   /* LSTDATE */
   "EPAIN" ,                                            /* LSTUSRPRF */
   "*HUB" ,                                                 /* NODEL */
   "5140" ,                                              /* OBJCLASS */
   "DB2_CMD_Connection_Failed"                            /* OBJNAME */
  );

/* ** RECORD 5 ** */

INSERT INTO O4SRV.TOBJACCL
  (HUB ,
   LSTDATE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJNAME
  )
VALUES
  ("Y" ,                                                      /* HUB */
   "1020403235959000" ,                                   /* LSTDATE */
   "EPAIN" ,                                            /* LSTUSRPRF */
   "*HUB" ,                                                 /* NODEL */
   "5140" ,                                              /* OBJCLASS */
   "DB2_CMD_Group_BP_READ_Hit_Warn"                       /* OBJNAME */
  );

/* ** RECORD 6 ** */

INSERT INTO O4SRV.TOBJACCL
  (HUB ,
   LSTDATE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJNAME
  )
VALUES
  ("Y" ,                                                      /* HUB */
   "1020403235959000" ,                                   /* LSTDATE */
   "EPAIN" ,                                            /* LSTUSRPRF */
   "*HUB" ,                                                 /* NODEL */
   "5140" ,                                              /* OBJCLASS */
   "DB2_CMD_Lock_Wait_Time_Critical"                      /* OBJNAME */
  );

/* ** RECORD 7 ** */

INSERT INTO O4SRV.TOBJACCL
  (HUB ,
   LSTDATE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJNAME
  )
VALUES
  ("Y" ,                                                      /* HUB */
   "1020403235959000" ,                                   /* LSTDATE */
   "EPAIN" ,                                            /* LSTUSRPRF */
   "*HUB" ,                                                 /* NODEL */
   "5140" ,                                              /* OBJCLASS */
   "DB2_CMD_Thrd_Wait_Time_Critical"                      /* OBJNAME */
  );

/* ** RECORD 8 ** */

INSERT INTO O4SRV.TOBJACCL
  (HUB ,
   LSTDATE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJNAME
  )
VALUES
  ("Y" ,                                                      /* HUB */
   "1020403235959000" ,                                   /* LSTDATE */
   "BUILD" ,                                            /* LSTUSRPRF */
   "*HUB" ,                                                 /* NODEL */
   "5140" ,                                              /* OBJCLASS */
   "DB2_Group_BP_Read_Hit_Critical"                       /* OBJNAME */
  );

/* ** RECORD 9 ** */

INSERT INTO O4SRV.TOBJACCL
  (HUB ,
   LSTDATE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJNAME
  )
VALUES
  ("Y" ,                                                      /* HUB */
   "1020403235959000" ,                                   /* LSTDATE */
   "BUILD" ,                                            /* LSTUSRPRF */
   "*HUB" ,                                                 /* NODEL */
   "5140" ,                                              /* OBJCLASS */
   "DB2_Group_BP_Read_Hit_Warning"                        /* OBJNAME */
  );

/* ** RECORD 10 ** */

INSERT INTO O4SRV.TOBJACCL
  (HUB ,
   LSTDATE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJNAME
  )
VALUES
  ("Y" ,                                                      /* HUB */
   "1020403235959000" ,                                   /* LSTDATE */
   "BUILD" ,                                            /* LSTUSRPRF */
   "*HUB" ,                                             /* NODEL */
   "5140" ,                                              /* OBJCLASS */
   "DB2_Lock_Waiter_Time_Critical"                        /* OBJNAME */
  );

/* ** RECORD 11 ** */

INSERT INTO O4SRV.TOBJACCL
  (HUB ,
   LSTDATE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJNAME
  )
VALUES
  ("Y" ,                                                      /* HUB */
   "1020403235959000" ,                                   /* LSTDATE */
   "BUILD" ,                                            /* LSTUSRPRF */
   "*HUB" ,                                                 /* NODEL */
   "5140" ,                                              /* OBJCLASS */
   "DB2_Lock_Waiter_Time_Warning"                         /* OBJNAME */
  );

/* ** RECORD 12 ** */

INSERT INTO O4SRV.TOBJACCL
  (HUB ,
   LSTDATE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJNAME
  )
VALUES
  ("Y" ,                                                      /* HUB */
   "1020403235959000" ,                                   /* LSTDATE */
   "BUILD" ,                                            /* LSTUSRPRF */
   "*HUB" ,                                                 /* NODEL */
   "5140" ,                                              /* OBJCLASS */
   "DB2_Thread_Wait_Time_Critical"                        /* OBJNAME */
  );

/* ** RECORD 13 ** */

INSERT INTO O4SRV.TOBJACCL
  (HUB ,
   LSTDATE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJNAME
  )
VALUES
  ("Y" ,                                                      /* HUB */
   "1020403235959000" ,                                   /* LSTDATE */
   "BUILD" ,                                            /* LSTUSRPRF */
   "*HUB" ,                                                 /* NODEL */
   "5140" ,                                              /* OBJCLASS */
   "DB2_Thread_Wait_Time_Warning"                         /* OBJNAME */
  );

/* ** RECORD 14 ** */

INSERT INTO O4SRV.TOBJACCL
  (HUB ,
   LSTDATE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJNAME
  )
VALUES
  ("Y" ,                                                      /* HUB */
   "1020403235959000" ,                                   /* LSTDATE */
   "BUILD" ,                                            /* LSTUSRPRF */
   "*HUB" ,                                                 /* NODEL */
   "5140" ,                                              /* OBJCLASS */
   "DB2_Plex_Heartbeat"                                   /* OBJNAME */
  );


/* ***************************************************************** */
/* * Keep managed template for any CMW users that are still around.* */
/* ***************************************************************** */

/* ** RECORD 1 ** */

INSERT INTO O4SRV.TMANTMPL
  (AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
  )
VALUES
  ("0020000000000000000000000000000000000000000" ,     /* AFFINITIES */
   "256" ,                                                   /* AREA */
   "1281" ,                                               /* ATTRIBS */
   "0960906134154000" ,                                   /* LSTDATE */
   "BUILD" ,                                            /* LSTUSRPRF */
   "DB2plex" ,                                               /* NAME */
   "DB2plex Template"                                        /* TEXT */
  );


/* ***************************************************************** */
/* * Add the rule for doing heartbeat processing.                  * */
/* ***************************************************************** */

INSERT INTO O4SRV.SITDB
  (RULENAME,
   PREDICATE
  )
VALUES
  (
   'DB2_Plex_Heartbeat______________',
   'SELECT DB2ID, OASTATUS, IDNAME, IDTYPE, LOCKCNT, SMFID, GBPCCNT,
    DB2COUNT, NUMTHD, OADBCNT, ORIGINNODE, IDSTATUS, TIMESTAMP
    FROM KDP.DPFILTER
    WHERE SYSTEM.PARMA("SITNAME", "DB2_Plex_Heartbeat", 18) AND
    SYSTEM.PARMA("VERSION", "##", 2) AND IDNAME = "*NOFETCH";'
  );


/* ***************************************************************** */
/* * Add product provided situations, do not include u-advisors    * */
/* ***************************************************************** */

/* ** RECORD 1 ** */

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   TEXT
  )
VALUES
  ("0020000000000000000000000000000000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NNN" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   "Y" ,                                                      /* HUB */
   "0970609111312000" ,                                   /* LSTDATE */
   "V110" ,                                            /* LSTRELEASE */
   "MBAIL" ,                                            /* LSTUSRPRF */
   "*IF *SCAN Group_Buffer_Pool_Connection.Connection_Status *EQ FAIL" ,
   "MV992" ,                                              /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000130" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "DB2_CF_Connections_Warning" ,                         /* SITNAME */
   "Data sharing is not active for this DB2 subsystem."      /* TEXT */
  );

/* ** RECORD 2 ** */

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   TEXT
  )
VALUES
  ("0020000000000000000000000000000000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NNN" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   "Y" ,                                                      /* HUB */
   "0970609113017000" ,                                   /* LSTDATE */
   "V110" ,                                            /* LSTRELEASE */
   "MBAIL" ,                                            /* LSTUSRPRF */
   "*IF *VALUE DB2_Coupling_Facility.Structure_Used_Percent *GT 90" ,
   "MV186" ,                                              /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000130" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "DB2_CF_Structure_Use_Critical" ,                      /* SITNAME */
   "Structure used percentage has exceeded the crtitical threshold."
  );

/* ** RECORD 3 ** */

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   TEXT
  )
VALUES
  ("0020000000000000000000000000000000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NNN" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   "Y" ,                                                      /* HUB */
   "0970609113233000" ,                                   /* LSTDATE */
   "V110" ,                                            /* LSTRELEASE */
   "MBAIL" ,                                            /* LSTUSRPRF */
   "*IF *VALUE DB2_Coupling_Facility.Structure_Used_Percent *GT 80 *AND
*VALUE DB2_Coupling_Facility.Structure_Used_Percent *LE 90" , /* PDT */
   "MV666 MV807" ,                                        /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000130" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "DB2_CF_Structure_Use_Warning" ,                       /* SITNAME */
   "Structure used percentage has exceeded the warning threshold."
  );

/* ** RECORD 4 ** */

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   TEXT
  )
VALUES
  ("0020000000000000000000000000000000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NNN" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "SE 'DP Coupling Facility for &Group_Buffer_Pool_Connections.Data_Sha
ring_Group &Group_Buffer_Pool_Connections.Data_Sharing_Group_Element &Gr
oup_Buffer_Pool_Connections.DB2ID has failed',USER=(xxxxx)" , /* CMD */
   "0970609130805000" ,                                   /* LSTDATE */
   "V110" ,                                            /* LSTRELEASE */
   "MBAIL" ,                                            /* LSTUSRPRF */
   "*IF *SCAN Group_Buffer_Pool_Connection.Connection_Status *EQ FAIL" ,
   "MV992" ,                                              /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000200" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "DB2_CMD_Connection_Failed" ,                          /* SITNAME */
   "Automatic message when data sharing not active for DB2 system."
  );

/* ** RECORD 5 ** */

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   TEXT
  )
VALUES
  ("0020000000000000000000000000000000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NNN" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "SE 'DP GBP &Group_Buffer_Pool.Structure_Name Read Hit Percent Decrea
sing',USER=(xxxxx)" ,                                         /* CMD */
   "0970609130827000" ,                                   /* LSTDATE */
   "V110" ,                                            /* LSTRELEASE */
   "MBAIL" ,                                            /* LSTUSRPRF */
   "*IF *VALUE Group_Buffer_Pool.Read_Hit_Percent *GE 60 *AND *VALUE Gro
up_Buffer_Pool.Read_Hit_Percent *LT 80" ,                     /* PDT */
   "MV404 MV435" ,                                        /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000200" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "DB2_CMD_Group_BP_READ_Hit_Warn" ,                     /* SITNAME */
   "Automatic message when read hit % exceeds warning threshold."
  );

/* ** RECORD 6 ** */

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   TEXT
  )
VALUES
  ("0020000000000000000000000000000000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NNN" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "se 'DP Thread ID &DB2_Lock_Conflict.Plan_Name has reached a critical
 state',USER=(xxxxx)" ,                                       /* CMD */
   "0970609130849000" ,                                   /* LSTDATE */
   "V110" ,                                            /* LSTRELEASE */
   "MBAIL" ,                                            /* LSTUSRPRF */
   "*IF *SCAN DB2_Lock_Conflict.Lock_Status *EQ WAITER *AND *VALUE DB2_L
ock_Conflict.Lock_Elapsed_Time *GT 10" ,                      /* PDT */
   "MV525 MV785" ,                                        /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000200" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "DB2_CMD_Lock_Wait_Time_Critical" ,                    /* SITNAME */
   "Automatic message when lock elasped time exceeds 10 seconds."
  );

/* ** RECORD 7 ** */

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   TEXT
  )
VALUES
  ("0020000000000000000000000000000000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NNN" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "se 'DP Thread &Thread_Detail.Plan_Name executing over 10 sec',USER=(
xxxxx)" ,                                                     /* CMD */
   "0970609130905000" ,                                   /* LSTDATE */
   "V110" ,                                            /* LSTRELEASE */
   "MBAIL" ,                                            /* LSTUSRPRF */
   "*IF *VALUE Thread_Detail.Thread_Wait_Time *GT 10" ,       /* PDT */
   "MV398" ,                                              /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000200" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "DB2_CMD_Thrd_Wait_Time_Critical" ,                    /* SITNAME */
   "Automatic message when thread wait time exceeds 10 seconds."
  );

/* ** RECORD 8 ** */

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   TEXT
  )
VALUES
  ("0020000000000000000000000000000000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NNN" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   "Y" ,                                                      /* HUB */
   "0970609112333000" ,                                   /* LSTDATE */
   "V110" ,                                            /* LSTRELEASE */
   "MBAIL" ,                                            /* LSTUSRPRF */
   "*IF *VALUE Group_Buffer_Pool.Read_Hit_Percent *LT 65" ,   /* PDT */
   "MV404" ,                                              /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000130" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "DB2_Group_BP_Read_Hit_Critical" ,                     /* SITNAME */
   "Group BP read hit ratio has exceeded the critical threshold."
  );

/* ** RECORD 9 ** */

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   TEXT
  )
VALUES
  ("0020000000000000000000000000000000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NNN" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   "Y" ,                                                      /* HUB */
   "0970609112354000" ,                                   /* LSTDATE */
   "V110" ,                                            /* LSTRELEASE */
   "MBAIL" ,                                            /* LSTUSRPRF */
   "*IF *VALUE Group_Buffer_Pool.Read_Hit_Percent *GE 65 *AND *VALUE Gro
up_Buffer_Pool.Read_Hit_Percent *LT 80" ,                     /* PDT */
   "MV404 MV435" ,                                        /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000130" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "DB2_Group_BP_Read_Hit_Warning" ,                      /* SITNAME */
   "Group BP read hit ratio has exceeded the warning threshold."
  );

/* ** RECORD 10 ** */

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   REFLEXOK ,
   SENDMSGQ ,
   SITNAME ,
   TEXT
  )
VALUES
  ("0020000000000000000000000000000000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "*NO" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   "Y" ,                                                      /* HUB */
   "0970609072814000" ,                                   /* LSTDATE */
   "V110" ,                                            /* LSTRELEASE */
   "BUILD" ,                                            /* LSTUSRPRF */
   "*IF *SCAN DB2_Lock_Conflict.Lock_Status *EQ WAITER *AND *VALUE DB2_L
ock_Conflict.Lock_Elapsed_Time *GT 10" ,                      /* PDT */
   "MV525 MV785" ,                                        /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000030" ,                                           /* REEV_TIME */
   "N" ,                                                 /* REFLEXOK */
   "*NONE" ,                                             /* SENDMSGQ */
   "DB2_Lock_Waiter_Time_Critical" ,                      /* SITNAME */
   "Lock waiter elapsed time has exceeded the critical threshold."
  );

/* ** RECORD 11 ** */

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   REFLEXOK ,
   SENDMSGQ ,
   SITNAME ,
   TEXT
  )
VALUES
  ("0020000000000000000000000000000000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "*NO" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   "Y" ,                                                      /* HUB */
   "0970609072814000" ,                                   /* LSTDATE */
   "V110" ,                                            /* LSTRELEASE */
   "BUILD" ,                                            /* LSTUSRPRF */
   "*IF *SCAN DB2_Lock_Conflict.Lock_Status *EQ WAITER *AND *VALUE DB2_L
ock_Conflict.Lock_Elapsed_Time *GT 5 *AND *VALUE DB2_Lock_Conflict.Lock_
Elapsed_Time *LE 10" ,                                        /* PDT */
   "MV525 MV724 MV282" ,                                  /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000030" ,                                           /* REEV_TIME */
   "N" ,                                                 /* REFLEXOK */
   "*NONE" ,                                             /* SENDMSGQ */
   "DB2_Lock_Waiter_Time_Warning" ,                       /* SITNAME */
   "Lock waiter elapsed time has exceeded the warning threshold."
  );

/* ** RECORD 12 ** */

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   REFLEXOK ,
   SENDMSGQ ,
   SITNAME ,
   TEXT
  )
VALUES
  ("0020000000000000000000000000000000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "*NO" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   "Y" ,                                                      /* HUB */
   "0970609072814000" ,                                   /* LSTDATE */
   "V110" ,                                            /* LSTRELEASE */
   "BUILD" ,                                            /* LSTUSRPRF */
   "*IF *VALUE Thread_Detail.Thread_Wait_Time *GT 10" ,       /* PDT */
   "MV398" ,                                              /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000130" ,                                           /* REEV_TIME */
   "N" ,                                                 /* REFLEXOK */
   "*NONE" ,                                             /* SENDMSGQ */
   "DB2_Thread_Wait_Time_Critical" ,                      /* SITNAME */
   "DB2 thread wait time has exceeded the critical threshold."
  );

/* ** RECORD 13 ** */

INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   REFLEXOK ,
   SENDMSGQ ,
   SITNAME ,
   TEXT
  )
VALUES
  ("0020000000000000000000000000000000000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "*NO" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   "Y" ,                                                      /* HUB */
   "0970609072814000" ,                                   /* LSTDATE */
   "V110" ,                                            /* LSTRELEASE */
   "BUILD" ,                                            /* LSTUSRPRF */
   "*IF *VALUE Thread_Detail.Thread_Wait_Time *GT 5 *AND *VALUE Thread_D
etail.Thread_Wait_Time *LE 10" ,                              /* PDT */
   "MV398 MV198" ,                                        /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000130" ,                                           /* REEV_TIME */
   "N" ,                                                 /* REFLEXOK */
   "*NONE" ,                                             /* SENDMSGQ */
   "DB2_Thread_Wait_Time_Warning" ,                       /* SITNAME */
   "DB2 thread wait time has exceeded the warning threshold."
  );

/* ** RECORD 14 Heartbeat ** */

$PARMS("Heart beat situation: This situation should never be raised");
INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
  )
VALUES
  ("DB2_Plex_Heartbeat",                                  /* SITNAME */
   ?,                                                      /* ADVICE */
   "0020000000000000000000000000000000000000000" ,     /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                 /* AUTOSOP */
   "*SYN",                                              /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "",                                                   /* LSTCCSID */
   "1020403235959000",                                    /* LSTDATE */
   "V220",                                             /* LSTRELEASE */
   "BUILD",                                             /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                 /* NOTIFYARGS */
   "",                                                 /* NOTIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "DB2_",                                             /* QIBCLASSID */
   "I",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000200",                                            /* REEF_TIME */
   "",                                                   /* REFLEXOK */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "",                                                     /* SOURCE */
   "Heartbeat situation to detect DB2 data sharing groups",  /* TEXT */
   "*IF  *VALUE DB2plex_Filter.Group_Or_Subsystem_Name *EQ *NOFETCH"
  );

/* ***************************************************************** */
/* * Assign situations to templates.                               * */
/* ***************************************************************** */

/* ** RECORD 1 ** */

INSERT INTO O4SRV.TTMPLSIT
  (NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
  )
VALUES
  ("DB2_CMD_Connection_Failed" ,                             /* NAME */
   "Critical" ,                                             /* STATE */
   "automation_temp" ,                                   /* TEMPLATE */
   "0"                                                       /* TYPE */
  );

/* ** RECORD 2 ** */

INSERT INTO O4SRV.TTMPLSIT
  (NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
  )
VALUES
  ("DB2_CMD_Group_BP_READ_Hit_Warn" ,                        /* NAME */
   "Warning" ,                                              /* STATE */
   "automation_temp" ,                                   /* TEMPLATE */
   "0"                                                       /* TYPE */
  );

/* ** RECORD 3 ** */

INSERT INTO O4SRV.TTMPLSIT
  (NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
  )
VALUES
  ("DB2_CMD_Lock_Wait_Time_Critical" ,                       /* NAME */
   "Critical" ,                                             /* STATE */
   "automation_temp" ,                                   /* TEMPLATE */
   "0"                                                       /* TYPE */
  );

/* ** RECORD 4 ** */

INSERT INTO O4SRV.TTMPLSIT
  (NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
  )
VALUES
  ("DB2_CMD_Thrd_Wait_Time_Critical" ,                       /* NAME */
   "Critical" ,                                             /* STATE */
   "automation_temp" ,                                   /* TEMPLATE */
   "0"                                                       /* TYPE */
  );

/* ** RECORD 5 ** */

INSERT INTO O4SRV.TTMPLSIT
  (NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
  )
VALUES
  ("*Critical" ,                                             /* NAME */
   "Critical" ,                                             /* STATE */
   "DB2plex" ,                                           /* TEMPLATE */
   "256"                                                     /* TYPE */
  );

/* ** RECORD 6 ** */

INSERT INTO O4SRV.TTMPLSIT
  (NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
  )
VALUES
  ("*Not Monitored" ,                                        /* NAME */
   "Not Monitored" ,                                        /* STATE */
   "DB2plex" ,                                           /* TEMPLATE */
   "256"                                                     /* TYPE */
  );

/* ** RECORD 7 ** */

INSERT INTO O4SRV.TTMPLSIT
  (NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
  )
VALUES
  ("*Unknown" ,                                              /* NAME */
   "Unknown" ,                                              /* STATE */
   "DB2plex" ,                                           /* TEMPLATE */
   "256"                                                     /* TYPE */
  );

/* ** RECORD 8 ** */

INSERT INTO O4SRV.TTMPLSIT
  (NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
  )
VALUES
  ("*Warning" ,                                              /* NAME */
   "Warning" ,                                              /* STATE */
   "DB2plex" ,                                           /* TEMPLATE */
   "256"                                                     /* TYPE */
  );

/* ** RECORD 9 ** */

INSERT INTO O4SRV.TTMPLSIT
  (NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
  )
VALUES
  ("DB2_CF_Connections_Warning" ,                            /* NAME */
   "Warning" ,                                              /* STATE */
   "DB2plex" ,                                           /* TEMPLATE */
   "0"                                                       /* TYPE */
  );

/* ** RECORD 10 ** */

INSERT INTO O4SRV.TTMPLSIT
  (NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
  )
VALUES
  ("DB2_CF_Structure_Use_Critical" ,                         /* NAME */
   "Critical" ,                                             /* STATE */
   "DB2plex" ,                                           /* TEMPLATE */
   "0"                                                       /* TYPE */
  );

/* ** RECORD 11 ** */

INSERT INTO O4SRV.TTMPLSIT
  (NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
  )
VALUES
  ("DB2_CF_Structure_Use_Warning" ,                          /* NAME */
   "Warning" ,                                              /* STATE */
   "DB2plex" ,                                           /* TEMPLATE */
   "0"                                                       /* TYPE */
  );

/* ** RECORD 12 ** */

INSERT INTO O4SRV.TTMPLSIT
  (NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
  )
VALUES
  ("DB2_Group_BP_Read_Hit_Critical" ,                        /* NAME */
   "Critical" ,                                             /* STATE */
   "DB2plex" ,                                           /* TEMPLATE */
   "0"                                                       /* TYPE */
  );

/* ** RECORD 13 ** */

INSERT INTO O4SRV.TTMPLSIT
  (NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
  )
VALUES
  ("DB2_Group_BP_Read_Hit_Warning" ,                         /* NAME */
   "Warning" ,                                              /* STATE */
   "DB2plex" ,                                           /* TEMPLATE */
   "0"                                                       /* TYPE */
  );

/* ** RECORD 14 ** */

INSERT INTO O4SRV.TTMPLSIT
  (NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
  )
VALUES
  ("DB2_Lock_Waiter_Time_Critical" ,                         /* NAME */
   "Critical" ,                                             /* STATE */
   "DB2plex" ,                                           /* TEMPLATE */
   "0"                                                       /* TYPE */
  );

/* ** RECORD 15 ** */

INSERT INTO O4SRV.TTMPLSIT
  (NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
  )
VALUES
  ("DB2_Lock_Waiter_Time_Warning" ,                          /* NAME */
   "Warning" ,                                              /* STATE */
   "DB2plex" ,                                           /* TEMPLATE */
   "0"                                                       /* TYPE */
  );

/* ** RECORD 16 ** */

INSERT INTO O4SRV.TTMPLSIT
  (NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
  )
VALUES
  ("DB2_Thread_Wait_Time_Critical" ,                         /* NAME */
   "Critical" ,                                             /* STATE */
   "DB2plex" ,                                           /* TEMPLATE */
   "0"                                                       /* TYPE */
  );

/* ** RECORD 17 ** */

INSERT INTO O4SRV.TTMPLSIT
  (NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
  )
VALUES
  ("DB2_Thread_Wait_Time_Warning" ,                          /* NAME */
   "Warning" ,                                              /* STATE */
   "DB2plex" ,                                           /* TEMPLATE */
   "0"                                                       /* TYPE */
  );

/* ***************************************************************** */
/* * Define template states                                        * */
/* ***************************************************************** */

/* ** RECORD 1 ** */

INSERT INTO O4SRV.TTMPLSTA
  (ATTRIBS ,
   NAME ,
   SEVERITY ,
   TEMPLATE ,
   TEXT
  )
VALUES
  (257 ,                                                  /* ATTRIBS */
   "Critical" ,                                              /* NAME */
   90 ,                                                  /* SEVERITY */
   "DB2plex" ,                                           /* TEMPLATE */
   "Critical State"                                          /* TEXT */
  );

/* ** RECORD 2 ** */

INSERT INTO O4SRV.TTMPLSTA
  (ATTRIBS ,
   NAME ,
   SEVERITY ,
   TEMPLATE ,
   TEXT
  )
VALUES
  (257 ,                                                  /* ATTRIBS */
   "Not Monitored" ,                                         /* NAME */
   0 ,                                                   /* SEVERITY */
   "DB2plex" ,                                           /* TEMPLATE */
   "Not Monitored State"                                     /* TEXT */
  );

/* ** RECORD 3 ** */

INSERT INTO O4SRV.TTMPLSTA
  (ATTRIBS ,
   NAME ,
   SEVERITY ,
   TEMPLATE ,
   TEXT
  )
VALUES
  (65795 ,                                                /* ATTRIBS */
   "OK" ,                                                    /* NAME */
   -1 ,                                                  /* SEVERITY */
   "DB2plex" ,                                           /* TEMPLATE */
   "Normal and Available State"                              /* TEXT */
  );

/* ** RECORD 4 ** */

INSERT INTO O4SRV.TTMPLSTA
  (ATTRIBS ,
   NAME ,
   SEVERITY ,
   TEMPLATE ,
   TEXT
  )
VALUES
  (257 ,                                                  /* ATTRIBS */
   "Unknown" ,                                               /* NAME */
   95 ,                                                  /* SEVERITY */
   "DB2plex" ,                                           /* TEMPLATE */
   "Unknown State"                                           /* TEXT */
  );

/* ** RECORD 5 ** */

INSERT INTO O4SRV.TTMPLSTA
  (ATTRIBS ,
   NAME ,
   SEVERITY ,
   TEMPLATE ,
   TEXT
  )
VALUES
  (257 ,                                                  /* ATTRIBS */
   "Warning" ,                                               /* NAME */
   30 ,                                                  /* SEVERITY */
   "DB2plex" ,                                           /* TEMPLATE */
   "Warning State"                                           /* TEXT */
  );


/* ***************************************************************** */
/* * Bring in the D3 situations                                    * */
/* ***************************************************************** */
$PARMS("The DB2 system is waiting for a tape mount in order to complete
a rollback operation. While the system is in this state, the DB2 perform
ance will be reduced. If the problem persists, verify that the tape mana
gement system at your site is functioning properly. You can reduce the f
requency of having the system wait by increasing the size of the log fil
es.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_ARCV_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112070601000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Recovery Log Archive is Waiting on Tape Mount",
"*IF  *VALUE DB2_System_States.Wait_Tape_Mount *EQ True");

$PARMS("The DB2 system is waiting for a tape mount in order to complete
a rollback operation. While the system is in this state, the DB2 perform
ance will be reduced. If the problem persists, verify that the tape mana
gement system at your site is functioning properly. You can reduce the f
requency of having the system wait by increasing the size of the log fil
es.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_ARCV_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135022000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Recovery Log Archive is Waiting on Tape Mount",
"*IF  *VALUE DB2_System_States.Wait_Tape_Mount *EQ True");

$PARMS("The critical threshold for buffer pool utilization has been exce
eded. This is typically caused by a poorly defined application or by hav
ing too many concurrent DB2 applications running. The buffer pool alloca
tion can be increased to avoid this problem, or some applications can be
 changed to use different buffer pools.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_BMTH_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112125537000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Buffer Pool approaching maximum size",
"*IF  *VALUE DB2_SRM_BPM.Utilization *GE 90");

$PARMS("The warning threshold for buffer pool utilization has been excee
ded. This is typically caused by a poorly defined application or by havi
ng too many concurrent DB2 applications running. The buffer pool allocat
ion can be increased to avoid this problem, or some applications can be
changed to use different buffer pools.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_BMTH_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112125541000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Buffer Pool limits exceed warning threshold",
"*IF  *VALUE DB2_SRM_BPM.Utilization *GE 72 *AND  *VALUE DB2_SRM_BPM.Uti
lization *LT 90");

$PARMS("The CICS thread utilization has exceeded the critical threshold.
 CICS transactions are executing longer than anticipated causing more CI
CS transactions to be active at any given time. This may be due to MVS,
CICS, or DB2 issues. The limits for CICS threads are defined in the CICS
 regions.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_CICT_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112125701000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Percentage of Thread Max (THRDMAX) Reached (Critical)",
"*IF  *VALUE DB2_CICS_Exceptions.Total_Thread_Utilization *GE 80");

$PARMS("The CICS thread utilization has exceeded the warning threshold.
CICS transactions are executing longer than anticipated causing more CIC
S transactions to be active at any given time. This may be due to MVS, C
ICS, or DB2 issues. The limits for CICS threads are defined in the CICS
regions.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_CICT_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112125707000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Percentage of Thread Max (THRDMAX) Reached (Warning)",
"*IF  *VALUE DB2_CICS_Exceptions.Total_Thread_Utilization *GE 64 *AND  *
VALUE DB2_CICS_Exceptions.Total_Thread_Utilization *LT 80");

$PARMS("The commit ratio for this thread has exceeded the critical thres
hold. The ratio is made up of the number of modified pages divided by th
e number of commits that the thread has performed. A high ratio would me
an that a recovery operation would take longer to complete. To reduce th
e ratio will require a change to the DB2 application.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_COMT_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114547000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Ratio of updates to commits is greater than critical threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Commit_Ratio *GE 100");

$PARMS("The commit ratio for this thread has exceeded the warning thresh
old. The ratio is made up of the number of modified pages divided by the
 number of commits that the thread has performed. A high ratio would mea
n that a recovery operation would take longer to complete. To reduce the
 ratio will require a change to the DB2 application.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_COMT_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114553000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Ratio of updates to commits is greater than warning threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Commit_Ratio *GE 80 *AND  *VALUE DB2_
Thread_Exceptions.Commit_Ratio *LT 100");



$PARMS("The Distributed Data Facility (DDF) is inactive on the DB2 syste
m. If DDF is not being used, you can disable this situation or ignore it
. You should check to see if the started task <db2id>DIST is running. If
 not, you can try and start it up.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_DDFS_Critical",
?,
"00200000000000000000000000000000##000000000",
"*NO",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135027000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Monitors if DDF is active",
"*IF  *VALUE DB2_System_States.Dist_DB_Inactive *EQ True");

$PARMS("The Distributed Data Facility (DDF) is inactive on the DB2 syste
m. If DDF is not being used, you can disable this situation or ignore it
. You should check to see if the started task <db2id>DIST is running. If
 not, you can try and start it up.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_DDFS_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135035000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Monitors if DDF is active",
"*IF  *VALUE DB2_System_States.Dist_DB_Inactive *EQ True");

$PARMS("The amount of data received by a requestor (local) or server (re
mote) DB2 subsystem in response to SQL requests exceeds the specified cr
itical threshold. High receive counts could be an indication that perfor
ming the same operation on the local DB2 subsystem would be far more eff
icient.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_DRCV_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135042000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"The VTAM APPC receive rate exceeds the critical threshold",
"*IF  *VALUE DB2_System_States.Dist_Receive_Rate *GE 1000");

$PARMS("The amount of data received by a requestor (local) or server (re
mote) DB2 subsystem in response to SQL requests exceeds the specified wa
rning threshold. High receive counts could be an indication that perform
ing the same operation on the local DB2 subsystem would be far more effi
cient.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_DRCV_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112113610000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"The VTAM APPC receive rate exceeds the warning threshold",
"*IF  *VALUE DB2_System_States.Dist_Receive_Rate *GE 800 *AND  *VALUE DB
2_System_States.Dist_Receive_Rate *LT 1000");

$PARMS("The amount of data sent to a requestor (local) or server (remote
) DB2 subsystem exceeds the critical threshold. High send counts could b
e an indication that performing the same operation on the local DB2 subs
ystem would be far more efficient.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_DSND_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135100000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"The VTAM APPC send rate exceeds the critical threshold",
"*IF  *VALUE DB2_System_States.Dist_Send_Rate *GE 1000");

$PARMS("The amount of data sent to a requestor (local) or server (remote
) DB2 subsystem exceeds the warning threshold. High send counts could be
 an indication that performing the same operation on the local DB2 subsy
stem would be far more efficient.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_DSND_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135107000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"The VTAM APPC send rate exceeds the warning threshold",
"*IF  *VALUE DB2_System_States.Dist_Send_Rate *GE 800 *AND  *VALUE DB2_S
ystem_States.Dist_Send_Rate *LT 1000");


$PARMS("The percentage of environmental descriptor manager (EDM) pool pa
ges in use to total pool size exceeds the critical threshold. This could
 be an indicator that the EDM pool does not have enough pages defined fo
r the current DB2 workloads. If the current workload is normal, you shou
ld consider increasing the size of the EDM pool.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_EDMU_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135119000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"EDM pool utilization exceeds the critical threshold",
"*IF  *VALUE DB2_System_States.EDM_Utilization *GE 90");

$PARMS("The percentage of environmental descriptor manager (EDM) pool pa
ges in use to total pool size exceeds the warning threshold. This could
be an indicator that the EDM pool does not have enough pages defined for
 the current DB2 workloads. If the current workload is normal, you shoul
d consider increasing the size of the EDM pool.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_EDMU_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135128000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"EDM pool utilization exceeds the warning threshold",
"*IF  *VALUE DB2_System_States.EDM_Utilization *GE 72 *AND  *VALUE DB2_S
ystem_States.EDM_Utilization *LT 90");

$PARMS("The number of POOL threads in use due to ENTRY thread overflow a
ctivity exceeds the critical threshold.  This exception limits its analy
sis to ENTRY definitions that specify TWAIT=POOL and THRDA>0. The trippi
ng of this exception indicates that more CICS threads are concurrently r
unning then anticipated. The controls for the pool definitions can be fo
und in the CICS region.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_ENTO_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112125713000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"CICS entry threads that overflowed exceeded critical limit",
"*IF  *VALUE DB2_CICS_Threads.Pool_Thread_Overflow *GE 3");

$PARMS("The number of POOL threads in use due to ENTRY thread overflow a
ctivity exceeds the warning threshold.  This exception limits its analys
is to ENTRY definitions that specify TWAIT=POOL and THRDA>0. The trippin
g of this exception indicates that more CICS threads are concurrently ru
nning then anticipated. The controls for the pool definitions can be fou
nd in the CICS region.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_ENTO_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112125721000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"CICS entry threads that overflowed exceeded warning limit",
"*IF  *VALUE DB2_CICS_Threads.Pool_Thread_Overflow *GE 2 *AND  *VALUE DB
2_CICS_Threads.Pool_Thread_Overflow *LT 3");

$PARMS("The percentage of active threads that originate from a CICS ENTR
Y definition to THRDA exceeds the critical threshold.  The THRDA value i
s specified in the resource RCT.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_ENTU_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112125727000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"The percentage of available ENTRY threads exceeds critical limit",
"*IF  *VALUE DB2_CICS_Threads.Entry_Threads_InUse *GE 95");

$PARMS("The percentage of active threads that originate from a CICS ENTR
Y definition to THRDA exceeds the warning threshold.  The THRDA value is
 specified in the resource RCT.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_ENTU_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112125734000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"The percentage of available ENTRY threads exceeds warning limit",
"*IF  *VALUE DB2_CICS_Threads.Entry_Threads_InUse *GE 76 *AND  *VALUE DB
2_CICS_Threads.Entry_Threads_InUse *LT 95");

$PARMS("The number of CICS transactions waiting for a thread exceeds the
 critical threshold. This exception detects transactions that are waitin
g, because all threads defined for use in the RCT ENTRY definition are a
lready in use.  This exception limits its analysis to ENTRY definitions
that specify TWAIT=YES.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_ENTW_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112125740000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Transactions waiting for entry threads exceed critical threshold",
"*IF  *VALUE DB2_CICS_Threads.Entry_Thread_Waiting *GE 2");

$PARMS("The number of CICS transactions waiting for a thread exceeds the
 warning threshold. This exception detects transactions that are waiting
, because all threads defined for use in the RCT ENTRY definition are al
ready in use.  This exception limits its analysis to ENTRY definitions t
hat specify TWAIT=YES.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_ENTW_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112125748000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Transactions waiting for entry threads exceed warning threshold",
"*IF  *VALUE DB2_CICS_Threads.Entry_Thread_Waiting *GE 1 *AND  *VALUE DB
2_CICS_Threads.Entry_Thread_Waiting *LT 2");


$PARMS("The DB2 global trace is active. It should not be active unless t
here is a specific purpose, such as diagnostic testing.  The DB2 global
trace can significantly increase overhead in the DB2 subsystem.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_GTRC_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135136000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Global Trace is Active",
"*IF  *VALUE DB2_System_States.Global_Trace_Active *EQ True");

$PARMS("The DB2 global trace is active. It should not be active unless t
here is a specific purpose, such as diagnostic testing.  The DB2 global
trace can significantly increase overhead in the DB2 subsystem.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_GTRC_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135144000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Global Trace is Active",
"*IF  *VALUE DB2_System_States.Global_Trace_Active *EQ True");

$PARMS("The percentage of active background connections to IDBACK exceed
s the critical threshold. Once the maximum background limit has been rea
ched, no additional background threads can be started until one or more
existing background threads terminate.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_IDBK_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112125425000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Percent of background tasks exceed the critical threshold",
"*IF  *VALUE DB2_SRM_Subsystem.Background_Utilization *GE 90");

$PARMS("The percentage of active background connections to IDBACK exceed
s the warning threshold. Once the maximum background limit has been reac
hed, no additional background threads can be started until one or more e
xisting background threads terminate.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_IDBK_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112125430000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Percent of background tasks exceed the warning threshold",
"*IF  *VALUE DB2_SRM_Subsystem.Background_Utilization *GE 72 *AND  *VALU
E DB2_SRM_Subsystem.Background_Utilization *LT 90");

$PARMS("The percentage of active foreground connections to IDFORE exceed
s the critical threshold. This is an indication that the level of activi
ty currently running on the DB2 system is higher then expected. If the l
imit is reached, then new threads will be put into a wait state until so
me of the current threads terminate.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_IDFR_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112125436000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Percent of foreground tasks exceed the critical threshold",
"*IF  *VALUE DB2_SRM_Subsystem.Foreground_Utilization *GE 85");

$PARMS("The percentage of active foreground connections to IDFORE exceed
s the warning threshold. This is an indication that the level of activit
y currently running on the DB2 system is higher then expected. If the li
mit is reached, then new threads will be put into a wait state until som
e of the current threads terminate.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_IDFR_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112125442000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Percent of foreground tasks exceed the warning threshold",
"*IF  *VALUE DB2_SRM_Subsystem.Foreground_Utilization *GE 68 *AND  *VALU
E DB2_SRM_Subsystem.Foreground_Utilization *LT 85");

$PARMS("The specified IMS dependent region for the IMSID failed to conne
ct to DB2 due to an error. Until this is resolved, IMS transactions for
the DB2 system can not be performed. Investigate the IMS region to deter
mine why it was unable to connect.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_IMCN_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112125830000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"No dependent regions defined",
"*IF  *VALUE DB2_IMS_Connections.Defined_Dependent_Regions *EQ 0");

$PARMS("There are no IMS dependent regions defined to DB2 for the IMSID.
 An IMS subsystem successfully connected to the DB2 system, however no d
ependent regions have been defined for this DB2 system. This would be an
 indication of a configuration problem on the IMS subsystem.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_IMND_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112125835000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"IMS Region not connected",
"*IF  *VALUE DB2_IMS_Regions.Connection_Status *NE Connected");

$PARMS("The number of terminated threads that are indoubt exceeds the cr
itical threshold. This may indicate that your CICS or IMS connections ne
ed to re-establish the connections to DB2.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_INDT_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135159000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of INDOUBT threads has exceeded a critical threshold",
"*IF  *VALUE DB2_System_States.Indoubt_Threads *GE 2");

$PARMS("The number of terminated threads that are indoubt exceeds the wa
rning threshold. This may indicate that your CICS or IMS connections nee
d to re-establish the connections to DB2.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_INDT_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135207000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of INDOUBT threads has exceeded a warning threshold",
"*IF  *VALUE DB2_System_States.Indoubt_Threads *GE 2");

$PARMS("The percentage of page locks owned by an active thread to the to
tal allowable number of held page locks exceeds the critical threshold.
When the limit is reached, the DB2 system will escalate the locks to a t
ablespace lock which could prevent concurrent access to the database. Th
is is an indication that the thread holding the locks is not performing
timely commit operations.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_LKUS_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114746000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Thread lock percentage exceeds the critical threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Lock_Percentage *GE 80");

$PARMS("The percentage of page locks owned by an active thread to the to
tal allowable number of held page locks exceeds the warning threshold. W
hen the limit is reached, the DB2 system will escalate the locks to a ta
blespace lock which could prevent concurrent access to the database. Thi
s is an indication that the thread holding the locks is not performing t
imely commit operations.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_LKUS_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114754000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Thread lock percentage exceeds the warning threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Lock_Percentage *GE 64 *AND  *VALUE D
B2_Thread_Exceptions.Lock_Percentage *LT 80");

$PARMS("The number of available primary active logs is less than or equa
l to the critical threshold. This is an indication that the log files ma
y be too small. This exception would happen when logs are being filled u
p faster then they can be archived.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_LOGN_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112125501000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of available logs less then critical threshold",
"*IF  *VALUE DB2_SRM_Log_Manager.Logs_Available *LT 1");

$PARMS("The percentage of the maximum allowed conversations for each log
mode exceeds the critical threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_MCNV_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135218000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Conversation utilization has exceeded critical threshold",
"*IF  *VALUE DB2_DDF_CONV.Conversation_Utilization *GE 85");

$PARMS("The percentage of the maximum allowed conversations for each log
mode exceeds the warning threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_MCNV_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112113736000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Conversation utilization exceeds warning threshold.",
"*IF  *VALUE DB2_DDF_CONV.Conversation_Utilization *GE 68 *AND  *VALUE D
B2_DDF_CONV.Conversation_Utilization *LT 85");

$PARMS("The number of database access threads (DBAT) in use exceeds the
critical threshold. When the MAXDBAT limit is reached, conversations are
 queued (waiting on DBAT allocation), which can greatly increase respons
e time.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_MDBT_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135234000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Database Wait percent has exceeded the critical threshold",
"*IF  *VALUE DB2_System_States.DB_Wait_Percent *GE 85");

$PARMS("The number of database access threads (DBAT) in use exceeds the
warning threshold. When the MAXDBAT limit is reached, conversations are
queued (waiting on DBAT allocation), which can greatly increase response
 time.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_MDBT_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135248000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Database Wait percent has exceeded the warning threshold",
"*IF  *VALUE DB2_System_States.DB_Wait_Percent *GE 68 *AND  *VALUE DB2_S
ystem_States.DB_Wait_Percent *LT 85");

$PARMS("The number of distributed data access threads (DBAT) waiting bec
ause the preset maximum has been reached exceeds the critical threshold.
 Queuing of conversations when the MAXDBAT limit is reached can greatly
impact response time.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_MDBW_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135257000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Threads waiting on limits exceeds critical threshold",
"*IF  *VALUE DB2_System_States.Thread_Wait_Limit *GE 2");

$PARMS("The number of distributed data access threads (DBAT) waiting bec
ause the preset maximum has been reached exceeds the warning threshold.
Queuing of conversations when the MAXDBAT limit is reached can greatly i
mpact response time.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_MDBW_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135307000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Threads waiting on limits exceeds warning threshold",
"*IF  *VALUE DB2_System_States.Thread_Wait_Limit *GE 1 *AND  *VALUE DB2_
System_States.Thread_Wait_Limit *LT 2");

$PARMS("The number of row updates per second on behalf of a thread excee
ds the critical threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_PGUP_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114805000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Page update rate exceeds the critical threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Page_Update_Rate *GE 10");

$PARMS("The number of row updates per second on behalf of a thread excee
ds the warning threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_PGUP_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114815000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Page update rate exceeds the warning threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Page_Update_Rate *GE 8 *AND  *VALUE D
B2_Thread_Exceptions.Page_Update_Rate *LT 10");

$PARMS("The percentage of active CICS POOL threads to THRDA exceeds the
critical threshold.  The THRDA value is specified in the CICS resource c
ontrol table (RCT).");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_POLU_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112125755000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Percentage of pool threads in use exceeds the critical threshold",
"*IF  *VALUE DB2_CICS_Exceptions.Pool_Threads_Inuse *GE 90");

$PARMS("The percentage of active CICS POOL threads to THRDA exceeds the
warning threshold.  The THRDA value is specified in the CICS resource co
ntrol table (RCT).");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_POLU_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112125803000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Percentage of pool threads in use exceeds the warning threshold",
"*IF  *VALUE DB2_CICS_Exceptions.Pool_Threads_Inuse *GE 72 *AND  *VALUE
DB2_CICS_Exceptions.Pool_Threads_Inuse *LT 90");

$PARMS("The number of CICS transactions waiting for a POOL thread that o
riginates from a CICS connection exceeds the critical threshold. You can
 reduce the number of waiting threads by increasing the number of pool t
hreads available in CICS.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_POLW_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112125810000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of pool threads waiting exceeds the critical threshold",
"*IF  *VALUE DB2_CICS_Exceptions.Pool_Thread_Waits *GE 2");

$PARMS("The number of CICS transactions waiting for a POOL thread that o
riginates from a CICS connection exceeds the warning threshold. You can
reduce the number of waiting threads by increasing the number of pool th
reads available in CICS.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_POLW_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112125815000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of pool threads waiting exceeds the warning threshold",
"*IF  *VALUE DB2_CICS_Exceptions.Pool_Thread_Waits *GE 1 *AND  *VALUE DB
2_CICS_Exceptions.Pool_Thread_Waits *LT 2");

$PARMS("The number of sequential prefetch requests per second exceeds th
e critical threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_PREF_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114824000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Prefetch rate exceeds the critical threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Prefetch_Rate *GE 10");

$PARMS("The number of sequential prefetch requests per second exceeds th
e warning threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_PREF_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114834000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Prefetch rate exceeds the warning threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Prefetch_Rate *GE 8 *AND  *VALUE DB2_
Thread_Exceptions.Prefetch_Rate *LT 10");

$PARMS("The ratio of the resource limit high water mark (CPU seconds) to
 the resource limit in effect (CPU seconds) is greater than the current
critical threshold value.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_RELM_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114907000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Resource usage percent exceeds the critical threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Resource_Limit_Percent *GE 80");

$PARMS("The ratio of the resource limit high water mark (CPU seconds) to
 the resource limit in effect (CPU seconds) is greater than the current
warning threshold value.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_RELM_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112114917000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Resource usage percent exceeds the warning threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Resource_Limit_Percent *GE 64 *AND  *
VALUE DB2_Thread_Exceptions.Resource_Limit_Percent *LT 80");

$PARMS("Indicates that the number of ASIDs executing stored procedures e
xceeds the critical threshold. The threshold is expressed as a count of
address spaces capable of executing stored procedures. Stored procedures
 can be executed in a DB2 stored procedure address space and in any WLM-
managed stored procedure address space.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_SPAC_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135316000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"ASIDs running stored procedures exceed critical threshold",
"*IF  *VALUE DB2_System_States.ASIDs_Stored_Procedures *GE 5");

$PARMS("Indicates that the number of ASIDs executing stored procedures e
xceeds the warning threshold. The threshold is expressed as a count of a
ddress spaces capable of executing stored procedures. Stored procedures
can be executed in a DB2 stored procedure address space and in any WLM-m
anaged stored procedure address space.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_SPAC_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135329000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"ASIDs running stored procedures exceed warning threshold",
"*IF  *VALUE DB2_System_States.ASIDs_Stored_Procedures *GE 2 *AND  *VALU
E DB2_System_States.ASIDs_Stored_Procedures *LT 5");

$PARMS("Indicates that the number of stored procedures executing exceeds
 the critical threshold. The threshold is expressed as a count of stored
 procedures currently executing.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_STPE_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135338000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of active stored procedures exceeds critical threshold",
"*IF  *VALUE DB2_System_States.Active_Stored_Procedures *GE 20");

$PARMS("Indicates that the number of stored procedures executing exceeds
 the warning threshold. The threshold is expressed as a count of stored
procedures currently executing.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_STPE_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135347000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of active stored procedures exceeds warning threshold",
"*IF  *VALUE DB2_System_States.Active_Stored_Procedures *GE 10 *AND  *VA
LUE DB2_System_States.Active_Stored_Procedures *LT 20");

$PARMS("The number of threads that are unable to continue execution and
are suspended due to a locking conflict exceed the critical threshold.")
;
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_SUSL_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135357000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Threads waiting on locks exceed critical threshold",
"*IF  *VALUE DB2_System_States.Thread_Wait_Lock *GE 5");

$PARMS("The number of threads that are unable to continue execution and
are suspended due to a locking conflict exceed the warning threshold.");

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_SUSL_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135410000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Threads waiting on locks exceed warning threshold",
"*IF  *VALUE DB2_System_States.Thread_Wait_Lock *GE 4 *AND  *VALUE DB2_S
ystem_States.Thread_Wait_Lock *LT 5");

$PARMS("The number of users waiting for thread creation to occur has exc
eeded the critical threshold. This exception may indicate that DB2 reach
ed the CTHREAD value that controls the number of active threads.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_THDQ_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135423000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of users waiting for threads exceeds critical threshold",
"*IF  *VALUE DB2_System_States.User_Waiting_Threads *GE 2");

$PARMS("The number of users waiting for thread creation to occur has exc
eeded the warning threshold. This exception may indicate that DB2 reache
d the CTHREAD value that controls the number of active threads.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_THDQ_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135435000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of users waiting for threads exceeds warning threshold",
"*IF  *VALUE DB2_System_States.User_Waiting_Threads *GE 1 *AND  *VALUE D
B2_System_States.User_Waiting_Threads *LT 2");

$PARMS("The percent of maximum allowed threads has exceeded the critical
 threshold. The number of active threads is approaching the maximum numb
er allowed. DB2 thread concurrency can be controlled by the CTHREAD valu
e. CTHREAD defines the maximum number of concurrent threads allowed.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_TMAX_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135448000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Current thread count exceeds critical threshold",
"*IF  *VALUE DB2_System_States.Current_Thread_Count *GE 85");

$PARMS("The percent of maximum allowed threads has exceeded the warning
threshold. The number of active threads is approaching the maximum numbe
r allowed. DB2 thread concurrency can be controlled by the CTHREAD value
. CTHREAD defines the maximum number of concurrent threads allowed.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_TMAX_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135500000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Current thread count exceeds warning threshold",
"*IF  *VALUE DB2_System_States.Current_Thread_Count *GE 68 *AND  *VALUE
DB2_System_States.Current_Thread_Count *LT 85");

$PARMS("Indicates that the depth of the largest trigger stack exceeds th
e  critical threshold. The threshold is expressed as the number of trigg
ers in the largest trigger stack.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_TRGD_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135509000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Trigger depth exceeds critical threshold",
"*IF  *VALUE DB2_System_States.Trigger_Depth *GE 2");

$PARMS("Indicates that the depth of the largest trigger stack exceeds th
e  warning threshold. The threshold is expressed as the number of trigge
rs in the largest trigger stack.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_TRGD_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135521000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Trigger depth exceeds warning threshold",
"*IF  *VALUE DB2_System_States.Trigger_Depth *GE 1 *AND  *VALUE DB2_Syst
em_States.Trigger_Depth *LT 2");

$PARMS("Indicates that the number of triggers executing exceeds the crit
ical threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_TRGE_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135531000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of active triggers exceeds critical threshold",
"*IF  *VALUE DB2_System_States.Active_Triggers *GE 20");

$PARMS("Indicates that the number of triggers executing exceeds the warn
ing threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_TRGE_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135542000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of active triggers exceeds warning threshold",
"*IF  *VALUE DB2_System_States.Active_Triggers *GE 10 *AND  *VALUE DB2_S
ystem_States.Active_Triggers *LT 20");

$PARMS("The number of user-defined functions executing exceeds the criti
cal threshold. The threshold is expressed as a count of user functions c
urrently executing.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_UDFE_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135552000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of active user functions exceeds critical threshold",
"*IF  *VALUE DB2_System_States.Active_User_Functions *GE 20");

$PARMS("The number of user-defined functions executing exceeds the warni
ng threshold. The threshold is expressed as a count of user functions cu
rrently executing.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_UDFE_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135603000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of active user functions exceeds warning threshold",
"*IF  *VALUE DB2_System_States.Active_User_Functions *GE 10 *AND  *VALUE
 DB2_System_States.Active_User_Functions *LT 20");

$PARMS("The number of ASIDs executing user functions exceeds the critica
l threshold. The threshold is expressed as a count of address spaces cap
able of executing user-defined functions. User-defined functions can be
executed only from WLM-managed stored procedure address spaces. UFAC is
a member of the DB2 system (SY) group. The default threshold is 3 and th
e default state is On.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_UFAC_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135614000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"ASIDs running user functions exceed critical threshold",
"*IF  *VALUE DB2_System_States.ASIDs_User_Functions *GE 5");

$PARMS("The number of ASIDs executing user functions exceeds the warning
 threshold. The threshold is expressed as a count of address spaces capa
ble of executing user-defined functions. User-defined functions can be e
xecuted only from WLM-managed stored procedure address spaces. UFAC is a
 member of the DB2 system (SY) group. The default threshold is 3 and the
 default state is On.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_UFAC_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112135626000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"ASIDs running user functions exceed warning threshold",
"*IF  *VALUE DB2_System_States.ASIDs_User_Functions *GE 2 *AND  *VALUE D
B2_System_States.ASIDs_User_Functions *LT 5");

$PARMS("This exception is raised when a DB2 utility was started but did
not finish running due to abnormal termination. User should restart the
utility with the corresponding phase.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_UTIS_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112125515000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Utility in stopped state",
"*IF  *VALUE DB2_SRM_UTL.Stat *EQ Stopped");

$PARMS("The volume DB2 I/O rate activity exceeds the critical threshold.
 This exception warns you when a volume's DB2 I/O rate per second has re
ached a user-specified threshold. The threshold is expressed as the numb
er of DB2 I/Os per second.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_VDIO_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112140314000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"DB2 I/O exceeds the critical threshold",
"*IF  *VALUE DB2_Volume_Activity.Volume_DB2_IO_Rate *GE 50");

$PARMS("The volume DB2 I/O rate activity exceeds the warning threshold.
This exception warns you when a volume's DB2 I/O rate per second has rea
ched a user-specified threshold. The threshold is expressed as the numbe
r of DB2 I/Os per second.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_VDIO_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112140320000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"DB2 I/O exceeds the warning threshold",
"*IF  *VALUE DB2_Volume_Activity.Volume_DB2_IO_Rate *GE 40 *AND  *VALUE
DB2_Volume_Activity.Volume_DB2_IO_Rate *LT 50");

$PARMS("The dataset-to-dataset extent ratio of a volume reaches the crit
ical threshold. The threshold is expressed as a ratio that represents th
e number of DB2 extents on the volume divided by the number of DB2 datas
ets.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_VEDR_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112140327000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of extents per dataset exceeds the critical threshold",
"*IF  *VALUE DB2_Volume_Activity.Extents_per_Dataset_Ratio *GE 10");

$PARMS("The dataset-to-dataset extent ratio of a volume reaches the warn
ing threshold. The threshold is expressed as a ratio that represents the
 number of DB2 extents on the volume divided by the number of DB2 datase
ts.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_VEDR_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112140336000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of extents per dataset exceeds the warning threshold",
"*IF  *VALUE DB2_Volume_Activity.Extents_per_Dataset_Ratio *GE 8 *AND  *
VALUE DB2_Volume_Activity.Extents_per_Dataset_Ratio *LT 10");

$PARMS("The volume service time has exceeded the critical threshold. The
 service time is expressed in milliseconds.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_VSRV_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112140344000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Volume service time exceeds the critical threshold",
"*IF  *VALUE DB2_Volume_Activity.Volume_Service_Time *GE 25");

$PARMS("The volume service time has exceeded the warning threshold. The
service time is expressed in milliseconds.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_VSRV_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112140351000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Volume service time exceeds the warning threshold",
"*IF  *VALUE DB2_Volume_Activity.Volume_Service_Time *GE 20 *AND  *VALUE
 DB2_Volume_Activity.Volume_Service_Time *LT 25");

$PARMS("The volume total I/O rate activity has exceeded the critical thr
eshold. The rate is expressed in I/O operations per second based on the
object analysis collection interval defined by the Omegamon II for DB2 p
roduct.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_VTIO_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112140207000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Total I/O exceeds the critical threshold",
"*IF  *VALUE DB2_Volume_Activity.Volume_Total_IO_Rate *GT 60");

$PARMS("The volume total I/O rate activity has exceeded the warning thre
shold. The rate is expressed in I/O operations per second based on the o
bject analysis collection interval defined by the Omegamon II for DB2 pr
oduct.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_VTIO_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112140304000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Total I/O exceeds the warning threshold",
"*IF  *VALUE DB2_Volume_Activity.Volume_Total_IO_Rate *GE 48 *AND  *VALU
E DB2_Volume_Activity.Volume_Total_IO_Rate *LT 60");

$PARMS("The volume's utilization percentage has reached a critical thres
hold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_VUTL_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112140358000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Volume utilization exceeds the critical threshold",
"*IF  *VALUE DB2_Volume_Activity.Volume_Utilization *GE 30");

$PARMS("The volume's utilization percentage has reached a warning thresh
old.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_VUTL_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112140406000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Volume utilization exceeds the warning threshold",
"*IF  *VALUE DB2_Volume_Activity.Volume_Utilization *GE 24 *AND  *VALUE
DB2_Volume_Activity.Volume_Utilization *LT 30");

$PARMS("The thread has been waiting for a resource longer then the criti
cal threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_WTRE_Critical",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112115343000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Time waiting for resource exceeds the critical threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Wait_Time_Resource *GE 60");

$PARMS("The thread has been waiting for a resource longer then the warni
ng threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KDP_WTRE_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1011112115352000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Time waiting for resource exceeds the warning threshold",
"*IF  *VALUE DB2_Thread_Exceptions.Wait_Time_Resource *GE 48 *AND  *VALU
E DB2_Thread_Exceptions.Wait_Time_Resource *LT 60");

/* ***************************************************************** */
/* * Bring in the D5 situations                                @01 * */
/* ***************************************************************** */

$PARMS("A DB2 thread is not executing because it is waiting for a tape m
ount request to be resolved. While the thread is waiting, it is blocked
from doing anything else.  If this problem persists, you should insure t
hat whatever tape management facility is used is operating properly.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_ARCM_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1050105122222000",
"V300",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Archive log mount required for backout",
"*IF  *SCAN ALL_THREADS.DB2_Status *EQ WAIT-ARCHIVE");

$PARMS("The application is waiting for a thread to be created. An applic
ation can be in this state if the maximum number of allowed threads has
been reached. The application will not start to execute until some other
 thread terminates. The maximum allowed thread count can be changed, how
ever it is probably set up as a throttle to prevent over utilization of
the DB2 system.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_CTHD_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1050105122222000",
"V300",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Application is waiting for thread creation.",
"*IF  *SCAN ALL_THREADS.DB2_Status *EQ WAIT-CTHREAD");

$PARMS("A distributed allied thread has been waiting for a response to a
 remote SQL request for a period of time greater than the critical thres
hold. The activity on the remote DB2 subsystem should be looked at to de
termine if it is functioning properly.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_DWAT_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1050105122222000",
"V300",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Wait for remote SQL time exceeds critical limit",
"*IF  *VALUE DISTRIBUTED_THREAD_DET.Remote_Wait_Time *GE 10");

$PARMS("The elapsed time for a DB2 thread (from sign-on or create thread
) exceeds the critical threshold. Some threads are intended to run for l
ong periods and can be ignored. Long elapsed time for other threads woul
d indicate that bottlenecks in the system are preventing applications fr
om completing in a timely manner.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_ETIM_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1050105122222000",
"V300",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Thread elapsed time exceeds critical threshold",
"*IF  *VALUE ALL_THREADS.Elapsed_Time *GE 600");

$PARMS("The ratio of logical page read (getpage) requests to physical pa
ge read (read I/O) requests is less than the critical threshold. This ex
ception is an indication that DB2 is having a low hit ratio for this app
lication. You can try to execute the RUNSTATS utility against this appli
cations plan.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_GETP_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1050105122222000",
"V300",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Getpage ratio less then critical threshold",
"*IF  *VALUE ALL_THREADS.Getpage_Per_Read *LT 15");

$PARMS("The amount of CPU time used by DB2 to process a thread is greate
r than the critical threshold. The SQL used by this thread could be anal
yzed to see if it could be optimized.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_IDBC_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1050105122222000",
"V300",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"DB2 CPU usage exceeds the critical threshold",
"*IF  *VALUE ALL_THREADS.In_DB2_CPU_Time *GE 70");

$PARMS("The length of time that DB2 has been processing a thread is grea
ter than the critical threshold. This could be an indication that the DB
2 system is looping or that it is processing a complex request.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_IDBT_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1050105122224000",
"V300",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"DB2 Elapsed time exceeds critical threshold",
"*IF  *VALUE ALL_THREADS.In_DB2_Time *GE 5");

$PARMS("The thread has terminated and is indoubt. Data associated with t
his thread is not in a consistent state. This can happen with a rollback
 operation is being performed on an IMS or CICS thread but the DB2 syste
m is waiting for the IMS or CICS regions to restart the attachment facil
ities.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_INDB_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1050105122222000",
"V300",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Thread is in the INDOUBT state",
"*IF  *VALUE ALL_THREADS.DB2_Status *EQ INDOUBT");

$PARMS("The amount of CPU time used by a distributed data access thread
exceeds the critical threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_RCPU_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1050105122222000",
"V300",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Remote CPU seconds exceeds the critical threshold",
"*IF  *VALUE DISTRIBUTED_THREAD_DET.DBAT_CPU *GE 50");

$PARMS("The physical read I/O rate per second on behalf of a thread exce
eds the critical threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_RIO_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1050105122222000",
"V300",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Read I/O rate exceeds the critical threshold",
"*IF  *VALUE ALL_THREADS.Synchronous_Read_I/O_Rate *GE 10");

$PARMS("The CPU rate (percent) of active threads exceeds the critical th
reshold. For non-CICS threads, this is the CPU rate of the address space
 from which the thread originates. It includes both TCB and SRB time. Fo
r CICS threads, this is the CPU rate attributable to the thread originat
ing from the CICS connection. It includes only TCB time incurred by the
thread. This exception does not report CPU use for connections with no a
ctive threads.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_TCPU_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1050105122222000",
"V300",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"CPU Utilization exceeds the critical threshold",
"*IF  *VALUE ALL_THREADS.CPU_Rate *GE 20");

$PARMS("The amount of data received by distributed threads from a remote
 DB2 subsystem exceeds the critical threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_TRCV_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1050105122222000",
"V300",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Distributed receive rate exceeds the critical threshold",
"*IF  *VALUE DISTRIBUTED_THREAD_DET.Bytes_Received *GE 1000");

$PARMS("The amount of data sent by distributed threads to a remote DB2 s
ubsystem exceeds the critical threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_TSND_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1050105122222000",
"V300",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Distributed send rate exceeds the critical threshold",
"*IF  *VALUE DISTRIBUTED_THREAD_DET.Bytes_Send *GE 1000");

$PARMS("A thread has been waiting for more than the specified critical l
ength of time for a resource to be drained of claimers.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_WCLM_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1050105122222000",
"V300",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Time waiting on drain clains exceed the critical threshold",
"*IF  *VALUE THREAD_DETAILS.Claimer_Wait_Time_Current *GE 60");

$PARMS("Indicates that a thread has been waiting to acquire a drain lock
 longer then the specified critical threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_WDLK_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1050105122222000",
"V300",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Time waiting on drain of locks exceed the critical threshold",
"*IF  *VALUE THREAD_DETAILS.Drain_Wait_Time_Current *GE 60");

$PARMS("Indicates that a thread has been waiting for a global lock longe
r then the specified critical threshold. The global locks are maintained
 in the coupling facility for DB2 systems using the data sharing environ
ment. The owner of the lock may be on any of the DB2 systems that make u
p the data sharing group.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_WGLK_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1050105122222000",
"V300",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Time waiting on global locks exceed the critical threshold",
"*IF  *VALUE THREAD_DETAILS.Global_Contention_Wait_Time_Current *GE 60")
;

$PARMS("Indicates that a thread has been waiting for an ARCHIVE LOG MODE
(QUIESCE) command to complete longer then the critical threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_WLGQ_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1050105122222000",
"V300",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Time waiting on log queue exceeds the critical threshold",
"*IF  *VALUE THREAD_DETAILS.Archive_Quiesce_Time_Current *GE 60");

$PARMS("The time this thread has been waiting for the stored procedures
address space to become available in order for a stored procedure to be
scheduled is greater then the critical threshold.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_WSPS_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1050105122222000",
"V300",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Time waiting for stored procedure exceeds critical threshold",
"*IF  *VALUE THREAD_DETAILS.SP_Schedule_Wait_Time_Current *GE 60");

$PARMS("Indicates when a thread has been waiting for more than the criti
cal length of time for a DB2 service. DB2 service waits include Open/clo
se dataset, SYSLGRNG update, DFHSM recall, Dataspace Manager services, a
nd Define/Delete/Extend dataset.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_WSRV_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1050105122222000",
"V300",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Time waiting for service exceeds the critical threshold",
"*IF  *VALUE THREAD_DETAILS.DB2_Service_Time_Current *GE 30");

/* ***************************************************************** */
/* * @02 Added DB2 Connect Server Situations                       * */
/* ***************************************************************** */
   
$PARMS("Indicates a performance issue when the number of times a request
to create a new agent was received while the MAXAGENTS configuration par
ameter had already been reached is high.  This might indicate too hign a
workload for this node or MAXAGENTS configuration parameter is set too s
mall.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_Max_Agent_Overflows_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1050516122222000",
"V110",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Maximum agent overflows exceeds warning threshold",
"*IF  *VALUE DB2_CONNECT_SERVER.EESGD026 *GE 20");  

$PARMS("Indicates a performance issue when the number of times a request
to create a new agent was received while the MAXAGENTS configuration par
ameter had already been reached is high.  This might indicate too hign a
workload for this node or MAXAGENTS configuration parameter is set too s
mall.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_Max_Agents_Waiting_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1050516122222000",
"V110",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Maximum agents waiting for token exceeds warning threshold",
"*IF  *VALUE DB2_CONNECT_SERVER.EESGD020 *GE 20");      

$PARMS("Indicates the number of times that agents are stolen from an app
licaiton.  Agents are stolen when an idle agent associated with an appli
cation is reassigned to work on a different application.  If agent stole
n is high, consider increasing the NUM_POOLAGENTS configuration paramete
r.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_Stolen_Agents_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1050516122222000",
"V110",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Agents stolen exceeds warning threshold",
"*IF  *VALUE DB2_CONNECT_SERVER.EESGD027 *GE 20");    

$PARMS("Indicates a performance issue when the CPU usage used by a proce
ss is too high.  Look into the process or the program to determine the c
ause for the high CPU.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_Process_CPU_Usage_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1050516122222000",
"V110",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Process CPU usage percentage exceeds warning threshold",
"*IF  *VALUE DB2_CONNECT_TASKLIST.EESTL006 *GE 25");    

$PARMS("Indicates a performance issue when the most recent statement ela
psed time for an application is too high. Look into the application to d
etermine the cause for long statement elapsed time.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_Recent_Stmt_ETIM_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1050516122222000",
"V110",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Application statement elapsed time exceeds warning threshold",
"*IF  *VALUE THREAD_DB2_CONNECT_STATEMENT.EEAPP072 *GE 30");  

$PARMS("Indicates a performance issue when the failed SQL statement perc
entage for an application is too high.  Look into the application and de
termine the cause for the high failed SQL statement percentage.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_Fail_Stmt_Percent_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1050516122222000",
"V110",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Appliation SQL fail percent exceeds warning threshold",
"*IF  *VALUE THREAD_DB2_CONNECT_OVERVIEW.TOFAIL *GE 25");   

/* ***************************************************************** */
/* * PK25395 - zIIP support to Thread Detail              06/08/06 * */ 
/* ***************************************************************** */        

$PARMS("Indicates a performance issue when the CPU time used by a thread
is too high.  Look into the thread or application to determine the cause 
for the high CPU.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_CPU_Time_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1060608122222000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Thread CPU time exceeds warning threshold",
"*IF  *VALUE THREAD_DETAILS.CPU_Time *GE 5");    
  
$PARMS("Indicates a performance issue when the In_DB2 IIP CPU time used 
by a thread is too high.  Look into the thread or application to determi
ne the cause for the high In_DB2 IIP CPU.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_In_DB2_IIP_CPU_Time_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1060608122222000",
"V310",
"SYSADMIN",
"",
"",
"",
"",
"",
"KD5_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Thread In_DB2 IIP CPU time exceeds warning threshold",
"*IF  *VALUE THREAD_DETAILS.In_DB2_IIP_CPU *GE 5"); 
           



 



